GMX-HELIX(1)

NAME
gmx-helix - Calculate basic properties of alpha helices

SYNOPSIS

gmx helix [-s [<.tpr>]] [-n [<.ndx>]] [-f [<.xtc/.trr/...>]]
          [-cz [<.gro/.g96/...>]] [-b <time>] [-e <time>]
          [-dt <time>] [-[no]w] [-r0 <int>] [-[no]q] [-[no]F]
          [-[no]db] [-[no]ev] [-ahxstart <int>] [-ahxend <int>]

DESCRIPTION

gmx helix computes all kinds of helix properties. First, the peptide is checked to find the longest helical part, as determined by hydrogen bonds and phi/psi angles. That bit is fitted to an ideal helix around the z-axis and centered around the origin. Then the following properties are computed:

•   Helix radius (file radius.xvg). This is merely the RMS deviation in two dimensions for all Calpha atoms. it is calculated as sqrt((sum_i (x^2(i)+y^2(i)))/N) where N is the number of backbone atoms. For an ideal helix the radius is 0.23 nm.

•   Twist (file twist.xvg). The average helical angle per residue is calculated. For an alpha-helix it is 100 degrees, for 3-10 helices it will be smaller, and for 5-helices it will be larger.

•   Rise per residue (file rise.xvg). The helical rise per residue is plotted as the difference in z-coordinate between Calpha atoms. For an ideal helix, this is 0.15 nm.

•   Total helix length (file len-ahx.xvg). The total length of the helix in nm. This is simply the average rise (see above) times the number of helical residues (see below).

•   Helix dipole, backbone only (file dip-ahx.xvg).

•   RMS deviation from ideal helix, calculated for the Calpha atoms only (file rms-ahx.xvg).

•   Average Calpha - Calpha dihedral angle (file phi-ahx.xvg).

•   Average phi and psi angles (file phipsi.xvg).

•   Ellipticity at 222 nm according to Hirst and Brooks.

OPTIONS

Options to specify input files:

-s [<.tpr>] (topol.tpr)
    Portable xdr run input file

-n [<.ndx>] (index.ndx)
    Index file

-f [<.xtc/.trr/…>] (traj.xtc)
    Trajectory: xtc trr cpt gro g96 pdb tng

    Options to specify output files:

-cz [<.gro/.g96/…>] (zconf.gro)
    Structure file: gro g96 pdb brk ent esp

    Other options:

-b <time> (0)
    Time of first frame to read from trajectory (default unit ps)

-e <time> (0)
    Time of last frame to read from trajectory (default unit ps)

-dt <time> (0)
    Only use frame when t MOD dt = first time (default unit ps)

-[no]w (no)
    View output .xvg, .xpm, .eps and .pdb files

-r0 <int> (1)
    The first residue number in the sequence

-[no]q (no)
    Check at every step which part of the sequence is helical

-[no]F (yes)
    Toggle fit to a perfect helix

-[no]db (no)
    Print debug info

-[no]ev (no)
    Write a new ‘trajectory’ file for ED

-ahxstart <int> (0)
    First residue in helix

-ahxend <int> (0)
    Last residue in helix

SEE ALSO

gmx(1)

More information about GROMACS is available at <http://www.gromacs.org/>.

COPYRIGHT
2021, GROMACS development team